POST
https://api.examplary.ai/exams/{id}/questions/importImport questions into an exam from a file. Support Word, PDF, Moodle quiz XML and plain text files.
Path parameters
idstringrequired
Request body
namestring
File name
typestring
MIME type of the file, e.g. application/pdf
urlstring· uri
URL of the file, required if no content is specified. Needs to be a HTTPS URL without basic auth or port.
contentstring
Content of the file as a string, as an alternative to URL. Only supported for exports from other systems (e.g. Moodle XML).
keepExistingSettingsboolean
Whether to keep existing exam settings when importing questions via AI.
Requirements
Rate limit
5 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the exams:write scope to be present.